seo:
  title: How to reduce IT costs
  description: Four ways organizations can spend less on IT and more on innovation.
  ogTitle: How to reduce IT costs
  ogDescription: Four ways organizations can spend less on IT and more on innovation.
  noIndex: false
  ogImage: images/blog/hero-images/reduce-it-costs.jpg
  ogUrl: https://about.gitlab.com/blog/reduce-it-costs
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/reduce-it-costs
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "How to reduce IT costs",
            "author": [{"@type":"Person","name":"Chrissie Buchanan"}],
            "datePublished": "2019-04-11",
          }

content:
  title: How to reduce IT costs
  description: Four ways organizations can spend less on IT and more on innovation.
  authors:
    - Chrissie Buchanan
  heroImage: images/blog/hero-images/reduce-it-costs.jpg
  date: '2019-04-11'
  body: >


    Efficient organizations do _more_ with _less_ – it's just simple math,
    really.

    But even as teams try to stay lean and agile, some IT budgets are anything
    but. In a [recent survey that analyzed IT
    spending](https://searchcio.techtarget.com/magazineContent/How-Company-Size-Relates-to-IT-Spending)

    based on company size, small companies spend on average 6.9 percent of their
    revenue on IT

    (enterprise spending is usually around 3 percent). Out of this IT spending,
    [more than 70 percent goes toward
    maintenance](https://phoenixnap.com/blog/it-cost-reduction-strategy) – just
    keeping things running.


    IT cost reduction could help fund the innovations all companies need to stay
    competitive,

    but therein lies the problem. How do you prioritize what stays and what goes
    when _everything_ feels important?

    Reducing IT costs doesn't happen in a vacuum – teams across the organization
    depend on these decisions.


    ## Where do I start?


    ### Reduce on-premise IT


    [On-premise IT has several
    costs](https://ianmartin.com/10-strategies-top-cios-use-reduce-costs/):

    the servers themselves, power and cooling, staff to maintain them, software
    licenses, and the

    additional leased space needed to house it all. [Virtualization hosts
    multiple virtual
    instances](https://www.bmc.com/blogs/6-ways-reduce-ongoing-maintenance-management-costs/)

    (Virtual Machines, VMs) of an operating environment on the same machine,
    reducing the

    number of physical servers needed. Virtual environments offer more
    flexibility, containers

    that run independently, and fewer costs over the long term.

    Taking on cloud-based architecture embodies doing more with less.


    ### Evaluate toolchain-management costs


    Those that spend more on their IT needs aren't typically the top performers
    – they just have more stuff.

    Every application and plugin creates another potential point of failure, and
    added complexity

    almost always spoils the efficiency party. Those in charge of IT have to
    keep up with more

    maintenance, more patches, more logins, which in turn leads to more IT staff
    and even more

    complexity. Look at your toolchain – plugins, applications, and licenses –
    and evaluate the costs.

    Several "inexpensive" licenses that look harmless in micro add up quickly in
    macro.

    This doesn't even factor the ongoing costs (upgrades, management, additional
    staff).


    So much are you paying for your toolchain? We created this handy calculator
    that shows the

    annual cost for 100 users using some of the most common DevOps tools.


    [How much is your toolchain?](/calculator/roi/)

    {: .alert .alert-gitlab-purple .text-center}


    ### Follow best practices to reduce downtime


    Downtime is every team's tech nightmare. It's estimated that [the cost of
    downtime for an

    average-sized company is over $7,000 per
    minute](https://www.datafoundry.com/blog/6-cost-reduction-strategies-enterprise-IT)

    (yikes), and it can have far-reaching implications: worse customer
    relationships, employee turnover,

    and it can scare off investors, just to name a few.

    When facing a budget crunch, it might seem minor to skimp on a few steps
    when you're confident

    of the outcomes, but doing it right the first time saves much more in the
    long run.

    Following best practices like user testing and code reviews takes time up
    front, but they lower the chance of costly mistakes.


    ### Modernize applications and migrate to lower-cost infrastructures


    Consolidating tools and an aggressive approach to application modernization
    are going to

    be the greatest opportunities for enterprises to save budget dollars.

    A recent survey of top enterprise architects found that [36 percent cited
    application rationalization as the primary initiative they're working
    on](https://www.itbusinessedge.com/slideshows/show.aspx?c=93453).

    Another survey of 250 senior IT executives found that 58 percent of them
    said

    [the best way to cut IT costs was to modernize or migrate existing
    applications to a lower-cost IT
    infrastructure](https://www.itbusinessedge.com/cm/blogs/vizard/application-modernization-tops-it-agenda/?cs=41480).


    Reducing IT costs is essential for scale and funding innovations that keep
    organizations competitive,

    but making the right cuts requires prioritization. For savings in the long
    term keep these four objectives in mind:


    *   Reduce on-premise IT.

    *   Evaluate toolchain-management costs.

    *   Follow best practices to reduce downtime.

    *   Modernize applications and migrate to lower-cost infrastructures.


    IT cost reduction directly correlates to increased revenue, but it isn't
    always easy. It just requires a little commitment.


    [Just commit.](/blog/2019/03/27/application-modernization-best-practices/)

    {: .alert .alert-gitlab-purple .text-center}


    Cover image by [Thomas
    Jensen](https://unsplash.com/photos/qTEj-KMMq_Q?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)
    on
    [Unsplash](https://unsplash.com/search/photos/computer-servers?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)

    {: .note}
  category: Insights
  tags:
    - cloud native
    - DevOps
config:
  slug: reduce-it-costs
  featured: false
  template: BlogPost
